Skala
Stock variant options

List all stock variant options

Fetches a complete list of stock variant option records available in the system.

GET
/api/stock_variant_options

Fetches a complete list of stock variant option records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

stock.id?integer
stock.id[]?array<>

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_variant_options"
[
  {
    "id": 0,
    "name": "string",
    "stock": "/entity/1",
    "optionValues": [
      {
        "id": 0,
        "name": "string",
        "variantOption": {}
      }
    ]
  }
]